Subject: Re: Fwd: Re: [Sigtran] RFC 3331 doubts

From: [email-masked]
Date: Fri, 9 May 2003 10:29:14 +0530

Hello Pablo,
      An SG which is a logical entity can contain many SGPs
as part of it. Similarly an AS can take service from multiple ASP
and an ASP can serve multiple AS. An SCTP association is between
an SGP and an ASP. Only one of the multiple SGPs within that SG
should provide services for an SS7 Signalling link terminal. There
is one to one mapping between interface id and physical interface
on an SG. Thus it is obvious that the AS should interface with only
that SGP, for an interface id, which is currently catering to the
signalling
link. There could be multiple ASPs within the AS interfacing with
multiple SGPs for an SG, but the AS should initiate the ASP active
from only one of the ASP to only one SGP which is currently catering
the signalling link. Thus the statement of "..an AS SHOULD be active
for only one SGP at a given point of time" for a specific interface id.
      An ASP could serve multiple AS. Now, if a particular AS wishes
to inform itself as ACTIVE, would send ASP active. But in order for the SGP
to recognise the AS, which is initiating the ASP Active, the ASP active
message should be sent with the list of interface identifiers that the
AS is supporting.

I hope it answers your query.

Regards,
- R. Ezhirpavai
Hughes Software Systems
India.
www.hssworld.com

Pablo Salinas <[email-masked]> on 05/09/2003 02:22:32 AM

To:    [email-masked], [email-masked], R Ezhirpavai/HSS@HSS
cc:    [email-masked]

Subject:    Re: Fwd: Re: [Sigtran] RFC 3331 doubts

Thanks Brian, but I couldn't understand it very well. It seems like it is
possible to have more than one Application Server active withing a SGP if
they have associated diferents Interface Identifiers (links). Is this
affirmation correct?

And when the RFC says (Page 66 - Section 4.3.4.3):
"In the case where an ASP wishes to process the traffic for more than one
Application Server across a common SCTP association, the ASP Active
message(s) SHOULD contain a list of one or more Interface Identifiers to
indicate for which Application Servers the ASP Active message applies."
It means that the ASP Active message sent could active an AS that has/have
a different(s) Interface Identifiers associated to it. Am I rigth here?

        thanks people,
                             Pablo Salinas

"Brian F. G. Bidulock" <[email-masked]> wrote:
Pablo,

*An* application servers SHOULD be active for only one SG at a given time
for the same IID (link).

What this refers to is the difficulty of having multiple SG serve the same
link. Multiple AS can be active for a given link with a given SG, but
those AS should be active for that link with only one SG.

Do you understand?

--brian

Pablo Salinas wrote: (Thu, 08 May 2003 11:29:12)
>
> Sorry guys, I forgot to metion the detail thaat made me confused about
> this part:
>
> "within an SG, an Application Server SHOULD be active for only one
> SGP at any given point in time."
>
>
>
> In page 66 - Section 4.3.4.3 (line 6) it says:
>
>
>
> "In the case where an ASP wishes to process the traffic for more than
> one Application Server across a common SCTP as! sociation, the ASP
> Active message(s) SHOULD contain a list of one or more Interface
> Identifiers to indicate for which Application Servers the ASP Active
> message applies."
>
>
>
> How can the ASP in the MG send an ASP ACTIVE message for more than one
> Application Server if only "one Aplication Server SHOULD be active for
> only one SGP"?
>
>
>
> sorry for being such a pain in the ass,
>
>
>
> Pablo Salinas
> Note: forwarded message attached.
> _________________________________________________________________
>
> Do You Yahoo!?
> [1] Todo lo que quieres saber de Estados Unidos,
> América Latina y el resto del Mundo.
> Visíta [2]Yahoo! Noticias.
>
> References
>
> 1. http://espanol.yahoo.com/mail_tagline/*http://espanol.news.yahoo.com
> 2. http://espanol.yahoo.com/mail_tagl! ine/*http://espanol.news.yahoo.com

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

Do Youu Yahoo!?
[IMAGE]Todo lo que quieres saber de Estados Unidos, América Latina y el
resto del Mundo.
Visíta Yahoo! Noticias.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Pablo Salinas <[email-masked]>
Date: Fri, 9 May 2003 10:12:39 -0500 (CDT)

Ok people. I hope this time I finally got it rigth. If I didn't I will take a meditation journey and no longer write e-mails again. Just three final questions:1. At any given time(when everything is set up - ASPs are active - and all the messages do not have ASP-ID), there can only be "one" SCTP association for "one" ASP. I mean, two differentes ASPs can not use the same SCTP association, rigth? (I pray the lord for this to be rigth)  2. Now, let's imagine this situation: |--------------SGP--------------------------| |----MG-----| IID 1 --- AS1 ---- ASP1 ---- SCTP1 ----- ASP1IID 2 ---/      \---- ASP2 ---- SCTP2 ----- ASP2IID 3 --- AS2 ---- ASP3 ----/          \----- ASP3 This is all happennig within one single SGP. IID1 an IID2 are associated with AS1, AS1 has two ASPs (ASP1 and ASP2). ASP1 uses SCTP1 and ASP2 uses SCTP2.Now, could ASP3 (that is within AS2) also use SCTP2 to communicate with IID3, if it uses an Interface Identifier in the ASP Active Message? 3. Is there any!
  document like the draft-ietf-sigtran-m3ua-implementors-guide-03.txt, but for m2ua? Can someone tell me where can I get it? I searched the net with google and couldn't find it.                        thank you people,                                                  Pablo Salinas   

[email-masked] wrote:

Hello Pablo,

Regards,
- R. Ezhirpavai
Hughes Software Systems
India.
www.hssworld.com

Pablo Salinas 
on 05/09/2003 02:22:32 AM

        thanks people,
                             Pablo Salinas

"Brian F. G. Bidulock" wrote:
Pablo,

Do you understand?

--brian

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

Do Youu Yahoo!?

---------------------------------
Do You Yahoo!?
Todo lo que quieres saber de Estados Unidos, América Latina y el resto del Mundo.
Visíta Yahoo! Noticias.

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 9 May 2003 14:18:58 -0600

Pablo,

Pablo Salinas wrote:                                                                 (Fri, 09 May 2003 10:12:39)
> 
>    Ok people. I hope this time I finally got it rigth. If I didn't I will
>    take   a  meditation  journey  and  no  longer  write  e-mails  again.
>    Just three final questions:
> 
>    1. At any given time(when everything is set up - ASPs are active - and
>    all  the  messages  do  not have ASP-ID), there can only be "one" SCTP
>    association  for  "one"  ASP. I mean, two differentes ASPs can not use
>    the  same  SCTP  association,  rigth?  (I pray the lord for this to be
>    rigth)

As I already stated: zero or one and only one SCTP association for each (ASP,
SG) relation.

> 
> 
> 
> 
> 
>    2. Now, let's imagine this situation:
> 
> 
> 
>    |--------------SGP--------------------------| |----MG-----|
> 
> 
> 
>    IID 1 --- AS1 ---- ASP1 ---- SCTP1 ----- ASP1
> 
>    IID 2 ---/      \---- ASP2 ---- SCTP2 ----- ASP2
> 
>    IID 3 --- AS2 ---- ASP3 ----/          \----- ASP3
> 
> 
> 
>    This  is  all  happennig  within  one  single  SGP.  IID1  an IID2 are
>    associated with AS1, AS1 has two ASPs (ASP1 and ASP2). ASP1 uses SCTP1
>    and ASP2 uses SCTP2.
> 
>    Now,  could  ASP3 (that  is within  AS2) also use SCTP2 to communicate
>    with  IID3,  if  it  uses  an  Interface  Identifier in the ASP Active
>    Message?

No.  (ASP3, SG) relation needs its own SCTP association to communicate.

> 
> 
> 
>    3. Is there any document like the
>    draft-ietf-sigtran-m3ua-implementors-guide-03.txt,  but  for m2ua? Can
>    someone tell me where can I get it? I searched the net with google and
>    couldn't find it.

No.  M2UA, unlike M3UA, has not needed so many corrections.

--brian

---

From: Pablo Salinas <[email-masked]>
Date: Mon, 12 May 2003 08:49:40 -0500 (CDT)

Thanks people. You were really helpfull. And I am so happy that I will not have to leave cilization.                   greetings,                                Pablo Salinas

"Brian F. G. Bidulock" <[email-masked]> wrote:Pablo,

--brian